<?PHP
$m = 'FulltraceGui';
$berogui_path = "/usr/local/www/berogui";

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include($berogui_path .'/includes/session.php');
unset($newTarget);

/* [INCLUDE] */
include('/usr/fallback/beroConf.php');
include_once($berogui_path ."/includes/Helper/Helper.php");
include_once('/usr/local/php/include/fulltrace.Class.php');

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING POST REQUEST] */
$list_post = array('trace' => 'select', 'fulltrace_type' => 'bool', 'ft_advanced_options' => 'config-option', 'ports' => 'int>0');

$list_options = array(
	'trace' => array('Start', 'Stop')
);

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid, $list_options);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);
}

$ft = new fulltrace();

$rsp_action = '&action=';
switch ($_POST['trace']) {
	case 'Start':
		$enable['fulltrace_type'] = (($_POST['fulltrace_type'] == '1') ? 1 : 0);
		$ft->start($enable, $_POST['ports'], $log_size, $_POST['ft_advanced_options']);
		unset($enable);
		$rsp_action .= 'start';
		break;
	case 'Stop':
		$ft->stop(false);
		$rsp_action .= 'stop';
		break;
	default:
		$rsp_action .='default';
		break;
}

echo "<script>window.location='../../index.php?m=$m$rsp_action'</script>";
exit(1);
?>
